NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Annotations.OffsetCenterPointBuilder Class Reference

Represents a NXOpen.Annotations.OffsetCenterPoint builder More...

Inheritance diagram for NXOpen.Annotations.OffsetCenterPointBuilder:
NXOpen.Annotations.BaseSymbolBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Display { CenterPoint, CenterLine, CenterLineWithExtension }
 the valid types of display styles More...
 
enum  Offset {
  HorizontalDistanceFromArc, HorizontalDistanceFromCenter, HorizontalDistanceByPosition, VerticalDistanceFromArc,
  VerticalDistanceFromCenter, VerticalDistanceByPosition
}
 the valid offset method types More...
 
enum  Thickness {
  Thin, Normal, Thick, One = 6,
  Two, Three, Four, Five,
  Six, Seven, Eight, Nine
}
 the valid types of offset center point thickness More...
 

Properties

unsafe double CenterCross [get, set]
 Returns or sets the center cross size More...
 
unsafe NXOpen.NXColor Color [get, set]
 Returns or sets the color More...
 
unsafe
NXOpen.Annotations.OffsetCenterPointBuilder.Display 
DisplayStyle [get, set]
 Returns or sets the display style More...
 
unsafe double Distance [get, set]
 Returns or sets the offset distance, valid for all offset method types except those by position More...
 
unsafe double Extension [get, set]
 Returns or sets the extension More...
 
unsafe double Gap [get, set]
 Returns or sets the gap More...
 
unsafe NXOpen.SelectNXObject Inherit [get]
 Returns the inherit More...
 
unsafe NXOpen.SelectNXObject Location [get]
 Returns the location More...
 
unsafe
NXOpen.Annotations.OffsetCenterPointBuilder.Offset 
OffsetMethod [get, set]
 Returns or sets the offset method More...
 
unsafe NXOpen.Point3d OffsetPosition [get, set]
 Returns or sets the offset position, valid for position offset methods More...
 
unsafe
NXOpen.Annotations.OffsetCenterPointBuilder.Thickness 
Width [get, set]
 Returns or sets the width More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Annotations.OffsetCenterPoint builder

To create a new instance of this class, use NXOpen.Annotations.OffsetCenterPointCollection.CreateOffsetCenterPointBuilder

Default values.

Property Value

CenterCross

3.175 (millimeters part), 0.125 (inches part)

DisplayStyle

CenterPoint

Distance

0

Extension

6.35 (millimeters part), 0.25 (inches part)

Gap

1.5875 (millimeters part), 0.0625 (inches part)

OffsetMethod

HorizontalDistanceFromArc

Width

Thin

Created in NX6.0.0

Member Enumeration Documentation

the valid types of display styles

Enumerator
CenterPoint 

center point

CenterLine 

center line

CenterLineWithExtension 

center line with extension

the valid offset method types

Enumerator
HorizontalDistanceFromArc 

horizontal distance from arc

HorizontalDistanceFromCenter 

horizontal distance from center

HorizontalDistanceByPosition 

horizontal distance by position, applicable only for creation

VerticalDistanceFromArc 

vertical distance from arc

VerticalDistanceFromCenter 

vertical distance from center

VerticalDistanceByPosition 

vertical distance by position, applicable only for creation

the valid types of offset center point thickness

Enumerator
Thin 

thin

Normal 

normal

Thick 

thick

One 

Width One

Two 

Width Two

Three 

Width Three

Four 

Width Four

Five 

Width Five

Six 

Width Six

Seven 

Width Seven

Eight 

Width Eight

Nine 

Width Nine

Property Documentation

unsafe double NXOpen.Annotations.OffsetCenterPointBuilder.CenterCross
getset

Returns or sets the center cross size

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.NXColor NXOpen.Annotations.OffsetCenterPointBuilder.Color
getset

Returns or sets the color

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Annotations.OffsetCenterPointBuilder.Display NXOpen.Annotations.OffsetCenterPointBuilder.DisplayStyle
getset

Returns or sets the display style

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe double NXOpen.Annotations.OffsetCenterPointBuilder.Distance
getset

Returns or sets the offset distance, valid for all offset method types except those by position

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe double NXOpen.Annotations.OffsetCenterPointBuilder.Extension
getset

Returns or sets the extension

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe double NXOpen.Annotations.OffsetCenterPointBuilder.Gap
getset

Returns or sets the gap

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.SelectNXObject NXOpen.Annotations.OffsetCenterPointBuilder.Inherit
get

Returns the inherit

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Annotations.OffsetCenterPointBuilder.Location
get

Returns the location

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Annotations.OffsetCenterPointBuilder.Offset NXOpen.Annotations.OffsetCenterPointBuilder.OffsetMethod
getset

Returns or sets the offset method

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Point3d NXOpen.Annotations.OffsetCenterPointBuilder.OffsetPosition
getset

Returns or sets the offset position, valid for position offset methods

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Annotations.OffsetCenterPointBuilder.Thickness NXOpen.Annotations.OffsetCenterPointBuilder.Width
getset

Returns or sets the width

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.